Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.console.extensibility
Interface SecurityExtensionV2

public interface SecurityExtensionV2
extends SecurityExtension

The `SecurityExtensionV2` interface should be implemented by developers who want to create a console extension to configure and manage a custom security provider. The `SecurityExtensionV2` interface can be implemented in place of, or in addition to, extending the `Extension` class.

The `SecurityExtensionV2` differs from `SecurityExtension` in that it provides the ability to replace pages for Credential Maps. Each of the methods in this interface should return a URI (including a query string, if desired) that is relative to the console extension's Web application root (for example: `/custom/pages/User?user=myuser`).

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  `Extension`

Method Summary
`java.lang.String` | `getExtensionForUserPasswordCredential(javax.management.ObjectName realm, javax.management.ObjectName provider, java.lang.String resource, java.lang.String RemoteUserName)` Called when an Administration Console user wants to create or edit a Credential Map.
`java.lang.String` | `getExtentionForUserPasswordCredentialMapping(javax.management.ObjectName realm, javax.management.ObjectName provider, java.lang.String resource, java.lang.String WLSUserName)` Called when an Administration Console user wants to create or edit a Credential Map.

Methods inherited from interface weblogic.management.console.extensibility.SecurityExtension
`getExtensionForGroup, getExtensionForPolicy, getExtensionForProvider, getExtensionForRole, getExtensionForUser`

Method Detail

### getExtensionForUserPasswordCredential

    public java.lang.String getExtensionForUserPasswordCredential(javax.management.ObjectName realm,
                                                                  javax.management.ObjectName provider,
                                                                  java.lang.String resource,
                                                                  java.lang.String RemoteUserName)

  Called when an Administration Console user wants to create or edit a Credential Map. This method is likely to be used with a custom Credential Mapping provider.

  This method intends to replace pages which configure the Remote User Name password.

  Parameters:
    `realm` - the JMX object name of the current security realm MBean.

    `provider` - the JMX object name of the custom security provider that is associated with this Credential Map.

    `resource` - the resource ID for the WebLogic resource to which this Credential Map applies.

    `RemoteUserName` - the remote user name with which this Credential Map is associated.

  Returns:
    String a path to a JSP (relative to the console extension Web application's root) that should be used in place of the standard Administration Console page to configure this security policy. A return value of `null` indicates that the console extension has no page to configure this Credential Map.

### getExtentionForUserPasswordCredentialMapping

    public java.lang.String getExtentionForUserPasswordCredentialMapping(javax.management.ObjectName realm,
                                                                         javax.management.ObjectName provider,
                                                                         java.lang.String resource,
                                                                         java.lang.String WLSUserName)

  Called when an Administration Console user wants to create or edit a Credential Map. This method is likely to be used with a custom Credential Mapping provider.

  This method intends to replace pages which determine the Resource ID & WebLogic User Name to Remote User Name Mapping.

  Parameters:
    `realm` - the JMX object name of the current security realm MBean.

    `provider` - the JMX object name of the custom security provider that is associated with this Credential Map.

    `resource` - the resource ID for the WebLogic resource to which this Credential Map applies.

    `WLSUserName` - the name of the WebLogic User to which this Credential Map applies.

  Returns:
    String a path to a JSP (relative to the console extension Web application's root) that should be used in place of the standard Administration Console page to configure this security policy. A return value of `null` indicates that the console extension has no page to configure this Credential Map.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD